---
# tasks file for supervisor
- name: Supervisor | Ensure supervisor is installed.
  pip:
    name: "{{ supervisor_package }}"
    state: present

- name: Supervisor | Ensure supervisor log dir exists.
  file:
    path: "{{ supervisor_log_dir }}"
    state: directory
    mode: 0755

- include_tasks: config.yml

- include_tasks: init-setup.yml
  when: supervisor_started or supervisor_enabled

- name: Supervisor | Ensure supervisor is started (if configured).
  service:
    name: "{{ supervisor_service }}"
    state: started
  when: supervisor_started

- name: Supervisor | Ensure supervisor is enabled at boot (if configured).
  service:
    name: "{{ supervisor_service }}"
    enabled: true
  when: supervisor_enabled
